# TextPatternScannerConfiguration class

Configuration for the text pattern scanner.

## Constructors

TextPatternScannerConfiguration.new({int ocrResolutionLimit = 0, int maximumNumberOfAccumulatedFrames = 3, int minimumNumberOfRequiredFramesWithEqualScanningResult = 2, ContentValidator? validator})
TextPatternScannerConfiguration.fromJson(Map<String, dynamic> json)
  factory

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
maximumNumberOfAccumulatedFrames ↔ int
  Maximum number of accumulated frames to inspect before actual result is returned.
  getter/setter pair
minimumNumberOfRequiredFramesWithEqualScanningResult ↔ int
  Minimum number of accumulated frames that have equal result.
  getter/setter pair
ocrResolutionLimit ↔ int
  Maximum image size (height or width) for OCR process. 0 - do not rescale.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
validator ↔ ContentValidator
  Content validator.
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited